Function
lowerBoundAlignedReads
Performs a binary lower bound search on the aligned reads.
lowerBoundAlignedReads(alignStore, value, sortTag)
lowerBoundAlignedReads(itBegin, itEnd, value, sortTag)
Include Headers
seqan/store.h
Parameters

alignStore | A sequence of AlignedReadStoreElement to be searched through, e.g. alignedReadStore.
itBegin | An iterator to the first element of the sequence of AlignedReadStoreElement to be searched through.
itEnd | An iterator behind the last element of the sequence of AlignedReadStoreElement to be searched through.
value | The value to use for the comparison.
sortTag | Selects the field for the comparison in the binary search. Types: sortAlignedRead Tags

Remarks
This is equivalent to calling std::lower_bound on alignStore with according parameters.
See Also
upperBoundAlignedReads, sortAlignedRead Tags, sortAlignedReads
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:48